Subject: bug#75305: 31.0.50; gnus-refer-thread-use-search isn't exact enough about how the current group is searched

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2025 15:26:42 +0200

> From: Björn Bidar <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 03 Jan 2025 22:33:34 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Fri, 03 Jan 2025 01:36:19 +0200
> >> From:  Björn Bidar via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> 
> >> I noticed that as intended without adding the current group to the
> >> variable in addition to the current group.
> >> The manual states what happens what the variable does when set however I
> >> think the description is not exact enough.
> >> 
> >> It is very easy to overlook that to add the current group in addition
> >> other groups it has to be added too.
> >
> > Can you suggest the additions to the manual?
> 
> I can. I compared the option to another gnus-refer-article-method one
> which has the option to include the symbol current to include the curren
> t method.
> 
> I added the same symbol to gnus-refer-thread-use-search to add the
> current group including the other groups to the list of possible groups
> to search through. I adjusted the manual to include the current symbol and
> explain the option better.

Thanks, but the patch seems to include unrelated changes in the code?
I thought we were talking only about fixing the manual?  Or what did I
miss?

Also, please be sure to leave two spaces between sentences, per our
conventions.